AutoGroupHelper (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.autogroup.monitor.visibility.AutoGroupHelper class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.autogroup.monitor.visibility
Class AutoGroupHelper

    java.lang.Object
      org.hyperic.hq.ui.action.resource.autogroup.monitor.visibility.AutoGroupHelper

    public final class AutoGroupHelper

extends java.lang.Object

A `MetricsDisplayFormPrepareAction` that retrieves data from the Bizapp to be displayed on an `AutoGroup Metrics` page.

Constructor Summary
`AutoGroupHelper()`

Method Summary
`static java.util.List` | `getAutoGroupResourceHealths(javax.servlet.ServletContext ctx, java.lang.Integer sessionId, AppdefEntityID[] entityIds, AppdefEntityTypeID childTypeId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoGroupHelper

    public AutoGroupHelper()

Method Detail

### getAutoGroupResourceHealths

    public static java.util.List getAutoGroupResourceHealths(javax.servlet.ServletContext ctx,
                                                             java.lang.Integer sessionId,
                                                             AppdefEntityID[] entityIds,
                                                             AppdefEntityTypeID childTypeId)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.